티스토리 뷰

In file included from c/cffi1_module.c:3,

                 from c/_cffi_backend.c:6366:

c/realize_c_type.c: In function ‘realize_c_type_or_func’:

c/realize_c_type.c:577: error: ‘FFI_DEFAULT_ABI’ undeclared (first use in this function)

c/_cffi_backend.c: In function ‘init_cffi_backend’:

c/_cffi_backend.c:6458: error: ‘FFI_DEFAULT_ABI’ undeclared (first use in this function)

error: command 'gcc' failed with exit status 1

make[2]: *** [/root/hue/desktop/core/build/cffi-1.3.1/egg.stamp] 오류 1

make[2]: Leaving directory `/root/hue/desktop/core'

make[1]: *** [.recursive-install-bdist/core] 오류 2

make[1]: Leaving directory `/root/hue/desktop'

make: *** [install-desktop] 오류 2


yum install python-cffi

yum install libffi-devel


HUE 가 필요해져서 수동으로 설치하고 있는데, 다음과 같은 오류가 발생하네요

구글신에게 물어보니 저걸로 해결하라고 하면 되네요..


그런데 문제는 지금 다른 문제가 발생하고 있다는..

TAG
, ,
댓글
  • 프로필사진 Favicon of http://redeyesofangel.tistory.com BlogIcon Yuika eizt ++ 추가

    지금 생각해보면 Hue 공식홈페이지에서 docker Hue3 버전을 제공합니다.

    환경 구성해서 컴파일 하시는것보다 Docker로 구성하시는게 아마 정신건강에 편하실것 같습니다.
    2016.07.29 17:04 신고
  • 프로필사진 Favicon of http://redeyesofangel.tistory.com BlogIcon Yuika eizt HUE 공식홈에 가면 Docker를 이용해서 3버전을 제공합니다..

    클라우데라의 경우는 이미 클라우데라 매니저를 통해 제공하겠지만. HDP의 경우는 docker 버전을 통해서 설정파일만 엮어주면 잘 동작합니다
    2016.10.01 19:36 신고
댓글쓰기 폼
Total
1,697,784
Today
179
Yesterday
177